你当前正在访问 Microsoft Azure Global Edition 技术文档网站。 如果需要访问由世纪互联运营的 Microsoft Azure 中国技术文档网站,请访问 https://docs.azure.cn

Featurestore Entity Versions - Get

获取版本。

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.MachineLearningServices/workspaces/{workspaceName}/featurestoreEntities/{name}/versions/{version}?api-version=2025-09-01

URI 参数

名称 必需 类型 说明
name
path True

string

容器名称。 这是区分大小写的。

resourceGroupName
path True

string

minLength: 1
maxLength: 90

资源组的名称。 此名称不区分大小写。

subscriptionId
path True

string

minLength: 1

目标订阅的 ID。

version
path True

string

版本标识符。 这是区分大小写的。

workspaceName
path True

string

pattern: ^[a-zA-Z0-9][a-zA-Z0-9_-]{2,32}$

Azure 机器学习工作区的名称。

api-version
query True

string

minLength: 1

要用于此操作的 API 版本。

响应

名称 类型 说明
200 OK

FeaturestoreEntityVersionResource

成功

Other Status Codes

ErrorResponse

错误

示例

Get Workspace Featurestore Entity Version.

示例请求

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/test-rg/providers/Microsoft.MachineLearningServices/workspaces/my-aml-workspace/featurestoreEntities/string/versions/string?api-version=2025-09-01

示例响应

{
  "id": "string",
  "name": "string",
  "type": "string",
  "properties": {
    "description": "string",
    "tags": {
      "string": "string"
    },
    "properties": {
      "string": "string"
    },
    "isArchived": false,
    "isAnonymous": false,
    "indexColumns": [
      {
        "dataType": "Datetime",
        "columnName": "string"
      }
    ],
    "provisioningState": "Creating"
  },
  "systemData": {
    "createdAt": "2020-01-01T12:34:56.999+00:57",
    "createdBy": "string",
    "createdByType": "User",
    "lastModifiedAt": "2020-01-01T12:34:56.999+00:57",
    "lastModifiedBy": "string",
    "lastModifiedByType": "User"
  }
}

定义

名称 说明
AssetProvisioningState

注册表资产的预配状态。

createdByType

创建资源的标识的类型。

ErrorAdditionalInfo

资源管理错误附加信息。

ErrorDetail

错误详细信息。

ErrorResponse

错误响应

FeatureDataType
FeaturestoreEntityVersion

表示功能实体版本的 DTO 对象

FeaturestoreEntityVersionResource

Azure 资源管理器资源信封。

IndexColumn

表示索引列的 DTO 对象

systemData

与创建和上次修改资源相关的元数据。

AssetProvisioningState

注册表资产的预配状态。

说明
Succeeded
Failed
Canceled
Creating
Updating
Deleting

createdByType

创建资源的标识的类型。

说明
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

资源管理错误附加信息。

名称 类型 说明
info

object

其他信息。

type

string

其他信息类型。

ErrorDetail

错误详细信息。

名称 类型 说明
additionalInfo

ErrorAdditionalInfo[]

错误附加信息。

code

string

错误代码。

details

ErrorDetail[]

错误详细信息。

message

string

错误消息。

target

string

错误目标。

ErrorResponse

错误响应

名称 类型 说明
error

ErrorDetail

错误对象。

FeatureDataType

说明
String
Integer
Long
Float
Double
Binary
Datetime
Boolean

FeaturestoreEntityVersion

表示功能实体版本的 DTO 对象

名称 类型 默认值 说明
description

string

资产说明文本。

indexColumns

IndexColumn[]

指定索引列

isAnonymous

boolean

False

如果名称版本是系统生成的(匿名注册)。

isArchived

boolean

False

资产是否已存档?

properties

object

资产属性字典。

provisioningState

AssetProvisioningState

功能存储实体版本的预配状态。

stage

string

指定资产阶段

tags

object

标记字典。 可以添加、删除和更新标记。

FeaturestoreEntityVersionResource

Azure 资源管理器资源信封。

名称 类型 说明
id

string

资源的完全限定资源 ID。 例如 - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

name

string

资源的名称

properties

FeaturestoreEntityVersion

[必需]实体的其他属性。

systemData

systemData

包含 createdBy 和 modifiedBy 信息的 Azure 资源管理器元数据。

type

string

资源类型。 例如,“Microsoft.Compute/virtualMachines”或“Microsoft.Storage/storageAccounts”

IndexColumn

表示索引列的 DTO 对象

名称 类型 默认值 说明
columnName

string

指定列名

dataType

FeatureDataType

String

指定数据类型

systemData

与创建和上次修改资源相关的元数据。

名称 类型 说明
createdAt

string (date-time)

资源创建时间戳(UTC)。

createdBy

string

创建资源的标识。

createdByType

createdByType

创建资源的标识的类型。

lastModifiedAt

string (date-time)

上次修改的资源时间戳(UTC)

lastModifiedBy

string

上次修改资源的标识。

lastModifiedByType

createdByType

上次修改资源的标识的类型。